# boost::numeric::ublas::coordinate_matrix< T, L, IB, IA, TA >::const_iterator1 Class Reference

List of all members.

## Public Types

typedef coordinate_matrix::value_type | value_type
typedef coordinate_matrix::difference_type | difference_type
typedef coordinate_matrix::const_reference | reference
typedef const coordinate_matrix::pointer | pointer
typedef const_iterator2 | dual_iterator_type
typedef const_reverse_iterator2 | dual_reverse_iterator_type

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator1 (const self_type &m, int rank, size_type i, size_type j, const vector_const_subiterator_type &itv, const const_subiterator_type &it)
BOOST_UBLAS_INLINE | const_iterator1 (const iterator1 &it)
BOOST_UBLAS_INLINE const_iterator1 & | operator++ ()
BOOST_UBLAS_INLINE const_iterator1 & | operator-- ()
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_iterator2 | begin () const
BOOST_UBLAS_INLINE const_iterator2 | end () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE const_iterator1 & | operator= (const const_iterator1 &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator1 &it) const

### template<class T, class L, std::size_t IB, class IA, class TA>
class boost::numeric::ublas::coordinate_matrix< T, L, IB, IA, TA >::const_iterator1